/* app css stylesheet */

body {
    background-color: #fff;
    padding-top: 90px;
    /*min-width:768px;*/
}

.login {
    background-image:url('/assets/images/login-background-bunzl.png');
    background-position: center center;
    background-repeat: repeat;

    background-attachment:fixed;
    background-size: cover;

    background-color: #464646;
    border: 0;
    min-height: 1050px;
    border: 0;
    padding-top: 75px;
    margin-top: -90px;
    height: 100vh;
    /*
    padding-top: 125px;

     */
}
h1.login_header{
    color: #612a81;
    font-size: 48px;
    font-weight: normal;
    text-align: center;
    margin-top: 10px;
}
.login_line{
    /*
    color: #e6e6e9;
    border-color: #e6e6e9;
    background-color: #e6e6e9;
    */
    color: #666;
    border-color: #666;
    background-color: #666;
    border: none;
    height: 1px;
}

.login_text {
    color: #666;
    font-weight: bold;
}
.login_image {
    max-height: 200px;
}

.details {
    background-color: #fff;
    padding-top: 62px;
    padding-bottom: 10px;
}
.details_shorter {
    background-color: #fff;
    padding-top: 10px;
    padding-bottom: 10px;
}
.details_longer {
    background-color: #fff;
    padding-top: 58px;
    padding-bottom: 10px;
}
.details_medium {
    background-color: #fff;
    padding-top: 32px;
    padding-bottom: 10px;
}
.details_medium_2 {
    background-color: #fff;
    padding-top: 48px;
    padding-bottom: 10px;
}
h1, h2 {
    font-family: Helvetica;
    font-size: 22px;
    padding: 5px 0 0 0;
    margin: 0;
}

.footer {
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    /*height: 40px;*/
    background-color: #1b3858;

    color: #fff;
    padding-top: 10px;
    padding-bottom: 5px;
    margin-top: 0;

}

.hide_overflow {
    overflow: hidden;
}

.main_header {
    border-top: solid #7887aa;
    border-top-width: 5px;
    border-bottom: solid #7887aa;
    border-bottom-width: 2px;
    padding-top: 5px;
    padding-bottom: 4px;
    background-color: #f6f8fb;
    color: #896faa;
    white-space: nowrap;
    /*overflow: hidden;*/
    z-index: 1031 !important;
}


.col-menu-item {
    float: left;
    width: 7%;
    z-index: 99999;
}

.submenu_fixed {
    position: fixed;
    right: 0;
    left: 0;
    top: 58px;
    height: 39px;
    z-index: 1030;
    padding-bottom: 5px;
    padding-top: 5px;
    border-bottom: solid #623585;
    border-bottom-width: 0;
    display: inline-block;
    background-color: #fff;
}

.submenu_fixed_shorter {
    position: fixed;
    right: 0;
    left: 0;
    top: 58px;
    height: 35px;
    z-index: 1030;
    padding-bottom: 5px;
    padding-top: 5px;
    display: inline-block;
    background-color: #fff;
}

.breadcrumbs_fixed {
    position: fixed;
    padding-top: 3px;
    right: 0;
    left: 0;
    top: 93px;
    padding-bottom: 5px;
    background-color: #fff;
    z-index: 1003;
    /*
    border-bottom: solid #623585;
    border-bottom-width: 0;
     */
}

.breadcrumbs_fixed_items {
    position: fixed;
    padding-top: 3px;
    right: 0;
    left: 0;
    top: 98px;
    padding-bottom: 5px;
    background-color: #fff;
    z-index: 10;
    /*
    border-bottom: solid #623585;
    border-bottom-width: 0;
     */
}

.submenu {
    border-bottom: solid #623585;
    border-bottom-width: 1px;
    padding-bottom: 1px;
}

.submenu_columns {
    display: inline-block;
    float: none;
}

.subpanel{
    padding-bottom: 25px;
}
.main_header a {
    color: #6073a0;
}

.main_header a:hover {
    color: #1b3858;
}

.main_header a.active {
    color: #5a247f;
    font-weight: bold;
}

.header_link {
    padding-top: 10px;
}/*
.text-primary {
    color: #5a247f;
}
*/

.text-header {
    color: #66aa2f;
}


.navbar-nav {
    margin-top: 0;
}

.navbar-nav > li > a {
    padding-top: 6px;
    padding-bottom: 5px;
    padding-left: 8px;
    padding-right: 18px;
}
@media (max-width: 768px){
    .navbar-nav > li {
        margin-top:  10px;
    }
}
.navbar-nav > li > a.logo {
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 0;
}
.navbar-nav > li > a:hover, .navbar-nav > li > a:active, .navbar-nav > li > a:visited {
    background-color: #f6f8fb;
}

.navbar-toggle .icon-bar {
    background-color: #337ab7;
}
.navbar-toggle .higher {
    height: 3px;
}

.navbar-toggle {
    position: relative;
    float: right;
    padding: 6px 9px 6px 9px;
    margin-top: 4px;
    margin-right: 15px;
    margin-bottom: 1px;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ddd;
    border-radius: 4px;
}
.navbar-toggle .icon-bar + .icon-bar {
    margin-top: 4px;
}
.navbar-toggle:hover{
    background-color: #eee;
}

.logo_margin {
    margin-right: 2px;
}


/*
.navbar-nav {
    float: none !important;
    margin-top: 0;
}

.navbar-nav > li {
    float: none;
}

.navbar-nav > li > a {
    padding-top: 1px;
    padding-bottom: 1px;
}

.navbar-nav > li > a:hover {
    background-color: #fff;
}

.collapse.in {
    display: block !important;
}
 */

.padding_subheader {
    padding-top: 1px;
}

.padding_action {
    padding-top: 2px;
}

@media (max-width: 768px) {
    .zero_padding {
        padding-right: 0;
        padding-left: 0;
    }
}

@media (min-width: 769px) {
    .zero_left_padding {
        padding-left: 0;
    }

    .zero_right_padding {
        padding-right: 0;
    }
}

.padding_bot {
    padding-bottom: 12px;
}

.padding_bot_xs {
    padding-bottom: 6px;
}

.margin_bottom {
    margin-bottom: 12px;
}
.margin_bottom_small {
    margin-bottom: 4px;
}
.margin_top {
    margin-top: 22px;
}
.margin_top_small {
    margin-top: 4px;
}

/*
.btn {
    color: #fff;
}
*/

.btn-primary {
    color: #fff;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background-color: #006dcc;
    *background-color: #04c;
    background-repeat: repeat-x;
    background-image: linear-gradient(to bottom, #3b77b7, #1b3858);
    border-left-color: #04c;
    border-right-color: #04c;
    border-top-color: #04c;
    border-bottom-color: #002a80;
}

/*
.btn:hover, .btn:focus {
    background-position: 0 -15px;
    color: #fff;
    text-decoration: none;
    transition: background-position 0.1s linear 0s;
}
*/

.btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .btn-primary.disabled, .btn-primary[disabled] {
    color: #fff;
    background-color: #04c;
    *background-color: #003bb3
}


.table {
    margin-bottom: 0;
    /* width: 100%; */
}
.td {
    padding:10px;
}
th {
    padding:10px;
}


.wide {
    min-width: 400px;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
}

::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(170, 170, 170, 1);
    -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}

.submenu_line {
    color: #333;
    border-color: #333;
    background-color: #333;
    margin: 0.3em auto;
}

.remove_side_padding{
   padding-left: 0;
    padding-right: 0;
}

.padding_left{
    padding-left: 20px;
}


.link {
    cursor: pointer;
}

a.active-link, a.active-link:hover{
    /* color: #7887aa; */
    color: #3b77b7;
}

.no_top_padding{
    padding-top: 0 !important;
    margin-top: 0 !important;
}

.no_bottom_padding{
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
}

.narrow_bottom_margin{
    margin-bottom: 2px !important;
}

.narrow_top_margin{
    margin-top: 5px !important;
}

.vertical_margin{
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

/*
.ng-valid[required], .ng-valid.required  {
    border-left: 5px solid #42A948;
}
*/

.ng-invalid:not(form)  {
    border-left: 5px solid #006dcc; /* red */
}

.headcol {
    position: sticky !important;
    top: 0;
    z-index: 2;
}

.style-success {
    color: white !important;
    --mdc-snackbar-container-color: green !important;
}
.style-success .mat-mdc-snack-bar-action  {
    color: white !important;
}
.style-error {
    color: white !important;
    --mdc-snackbar-container-color: red !important;
}
.style-error .mat-mdc-snack-bar-action {
    color: white !important;
}



/*
    global format for mat-table, it can be overwritten in components css files
 */
.mat-mdc-table-container, .mat-table-container {
    overflow-x:scroll;
    border: none;
    overflow-y: auto;
    display: block;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    max-height: 680px;
}

.full-width { width: 100%; border: 1px;}
.mat-mdc-table-checkbox-column { min-width: 60px; }
.mat-mdc-table-static-column { min-width: 100px; }



.container-fluid {
    /* min-width:768px; */
}

.form-group {
    margin-bottom: 3px;
}

.panel {
    margin-bottom: 6px;
}
.post-panel-body {
    background: #f6f8fb;
}

.comment_post {
    /* margin-left: 8px; */
    margin-bottom: 14px;
}
.main_post {
    margin-bottom: 14px;
}

.search-match {
    background-color: #a4e879;
}
.disabledButton {
    opacity: 0.6;
}

.no_margins{
    margin: 0;
    padding: 0;
}

.mat_table_header {
    z-index: 1101;
}
.mat_table_rows {
    z-index: 1;
}
.mat_table_footer {
    background-color: #f8f9f9 !important;
    border-top: 1px solid #d1d1d1 !important;
    border-bottom: 1px solid #d1d1d1 !important;
}

.bg-info-b3 {
    background-color: #d9edf7;
}
.bg-success-b3 {
    background-color: #def0d8;
}
.border-success-b3 {
    border-color: #def0d8;
}

.customer_menu {
    z-index: 1100;
}


